# array-binarysearch.closest

[![NPM](https://nodei.co/npm/array-binarysearch.closest.png)](https://nodei.co/npm/array-binarysearch.closest/)

Get index of closest value in [sorted] [array].
> Use [array-binarysearch], if index of value is needed.

```javascript
const binarySearch = require('array-binarysearch.closest');
// binarySearch(<array>, <value>, [compare function], [this], [begin=0], [end])

binarySearch([21, 42, 91, 91], 40);
// 1
binarySearch([21, 42, 91, 91], 42, 2);
// 2
binarySearch([21, 42, 91, 91], 92, 2, 4);
// 4

binarySearch([21, 42, 91, 91], 40, (a, b) => a===b? 0:(a<b? -1:1));
// 1
binarySearch(['G', 'KG', 'KG', 'MG'], 'g', (a, b, i) => a.toLowerCase().localeCompare(b.toLowerCase()), null, 1);
// 1
binarySearch(['G', 'KG', 'KG', 'MG'], 'KG', (a, b, i, arr) => a.localeCompare(b), null, 1, 4);
// 2
```


[sorted]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/sort
[array]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Indexed_collections
[array-binarysearch]: https://www.npmjs.com/package/array-binarysearch
